/*===========================================================================*/
/*   (Ieee/char.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Ieee/char.scm -indent -o objs/obj_u/Ieee/char.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#define BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#endif													// BGL___R4_CHARACTERS_6_6_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL unsigned char
		BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
	BGL_EXPORTED_DECL unsigned char
		BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL unsigned char
		BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 =
		BUNSPEC;
	static obj_t BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00(obj_t,
		obj_t);
	static obj_t BGl_z62charzc3zf3z52zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2notzb0zz__r4_characters_6_6z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char,
		unsigned char);
	static obj_t BGl_z62charzd3zf3z42zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
	static obj_t BGl_z62charze3zf3z72zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00(obj_t,
		obj_t);
	static obj_t BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00(obj_t, obj_t);
	static obj_t BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char
		BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
	static obj_t BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00(void);
	BGL_EXPORTED_DECL bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned
		char, unsigned char);
	static obj_t BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2andzb0zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char,
		unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned
		char, unsigned char);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char,
		unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned
		char, unsigned char);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char);
	static obj_t BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00(obj_t,
		obj_t);
	static obj_t BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char,
		unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned
		char, unsigned char);
	BGL_EXPORTED_DECL bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned
		char, unsigned char);
	static obj_t BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00(obj_t,
		obj_t);
	static obj_t BGl_z62charzf3z91zz__r4_characters_6_6z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL unsigned char
		BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char);
	BGL_EXPORTED_DECL unsigned char
		BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char, unsigned char);
	static obj_t BGl_z62charzd2orzb0zz__r4_characters_6_6z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char,
		unsigned char);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integerzd2ze3charzd2envze3zz__r4_characters_6_6z00,
		BgL_bgl_za762integerza7d2za7e31515za7,
		BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d3za7f3za7421516z00,
		BGl_z62charzd3zf3z42zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2upcasezd2envz00zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2upcase1517z00,
		BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2whitespacezf3zd2envzf3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2whites1518z00,
		BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1500z00zz__r4_characters_6_6z00,
		BgL_bgl_string1500za700za7za7_1519za7, "&char-whitespace?", 17);
	      BGL_DEFINE_STRING(BGl_string1501z00zz__r4_characters_6_6z00,
		BgL_bgl_string1501za700za7za7_1520za7, "&char-upper-case?", 17);
	      BGL_DEFINE_STRING(BGl_string1502z00zz__r4_characters_6_6z00,
		BgL_bgl_string1502za700za7za7_1521za7, "&char-lower-case?", 17);
	      BGL_DEFINE_STRING(BGl_string1503z00zz__r4_characters_6_6z00,
		BgL_bgl_string1503za700za7za7_1522za7, "&char->integer", 14);
	      BGL_DEFINE_STRING(BGl_string1504z00zz__r4_characters_6_6z00,
		BgL_bgl_string1504za700za7za7_1523za7, "integer->char", 13);
	      BGL_DEFINE_STRING(BGl_string1505z00zz__r4_characters_6_6z00,
		BgL_bgl_string1505za700za7za7_1524za7, "integer out of range", 20);
	      BGL_DEFINE_STRING(BGl_string1506z00zz__r4_characters_6_6z00,
		BgL_bgl_string1506za700za7za7_1525za7, "&integer->char", 14);
	      BGL_DEFINE_STRING(BGl_string1507z00zz__r4_characters_6_6z00,
		BgL_bgl_string1507za700za7za7_1526za7, "bint", 4);
	      BGL_DEFINE_STRING(BGl_string1508z00zz__r4_characters_6_6z00,
		BgL_bgl_string1508za700za7za7_1527za7, "&integer->char-ur", 17);
	      BGL_DEFINE_STRING(BGl_string1509z00zz__r4_characters_6_6z00,
		BgL_bgl_string1509za700za7za7_1528za7, "&char-upcase", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2numericzf3zd2envzf3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2numeri1529z00,
		BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1510z00zz__r4_characters_6_6z00,
		BgL_bgl_string1510za700za7za7_1530za7, "&char-downcase", 14);
	      BGL_DEFINE_STRING(BGl_string1511z00zz__r4_characters_6_6z00,
		BgL_bgl_string1511za700za7za7_1531za7, "&char-or", 8);
	      BGL_DEFINE_STRING(BGl_string1512z00zz__r4_characters_6_6z00,
		BgL_bgl_string1512za700za7za7_1532za7, "&char-and", 9);
	      BGL_DEFINE_STRING(BGl_string1513z00zz__r4_characters_6_6z00,
		BgL_bgl_string1513za700za7za7_1533za7, "&char-not", 9);
	      BGL_DEFINE_STRING(BGl_string1514z00zz__r4_characters_6_6z00,
		BgL_bgl_string1514za700za7za7_1534za7, "__r4_characters_6_6", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2cizd3zf3zd2envz20zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2ciza7d3za71535z00,
		BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charze3zf3zd2envzc2zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7e3za7f3za7721536z00,
		BGl_z62charze3zf3z72zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2cize3zd3zf3zd2envzc3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2ciza7e3za71537z00,
		BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2alphabeticzf3zd2envzf3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2alphab1538z00,
		BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2andzd2envz00zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2andza7b01539za7,
		BGl_z62charzd2andzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2lowerzd2casezf3zd2envz21zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2lowerza71540za7,
		BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1486z00zz__r4_characters_6_6z00,
		BgL_bgl_string1486za700za7za7_1541za7, "/tmp/bigloo/runtime/Ieee/char.scm",
		33);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2cize3zf3zd2envz10zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2ciza7e3za71542z00,
		BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1487z00zz__r4_characters_6_6z00,
		BgL_bgl_string1487za700za7za7_1543za7, "&char=?", 7);
	      BGL_DEFINE_STRING(BGl_string1488z00zz__r4_characters_6_6z00,
		BgL_bgl_string1488za700za7za7_1544za7, "bchar", 5);
	      BGL_DEFINE_STRING(BGl_string1489z00zz__r4_characters_6_6z00,
		BgL_bgl_string1489za700za7za7_1545za7, "&char<?", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charze3zd3zf3zd2envz11zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7e3za7d3za7f31546z00,
		BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1490z00zz__r4_characters_6_6z00,
		BgL_bgl_string1490za700za7za7_1547za7, "&char>?", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2cizc3zd3zf3zd2envze3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2ciza7c3za71548z00,
		BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	      BGL_DEFINE_STRING(BGl_string1491z00zz__r4_characters_6_6z00,
		BgL_bgl_string1491za700za7za7_1549za7, "&char<=?", 8);
	      BGL_DEFINE_STRING(BGl_string1492z00zz__r4_characters_6_6z00,
		BgL_bgl_string1492za700za7za7_1550za7, "&char>=?", 8);
	      BGL_DEFINE_STRING(BGl_string1493z00zz__r4_characters_6_6z00,
		BgL_bgl_string1493za700za7za7_1551za7, "&char-ci=?", 10);
	      BGL_DEFINE_STRING(BGl_string1494z00zz__r4_characters_6_6z00,
		BgL_bgl_string1494za700za7za7_1552za7, "&char-ci<?", 10);
	      BGL_DEFINE_STRING(BGl_string1495z00zz__r4_characters_6_6z00,
		BgL_bgl_string1495za700za7za7_1553za7, "&char-ci>?", 10);
	      BGL_DEFINE_STRING(BGl_string1496z00zz__r4_characters_6_6z00,
		BgL_bgl_string1496za700za7za7_1554za7, "&char-ci<=?", 11);
	      BGL_DEFINE_STRING(BGl_string1497z00zz__r4_characters_6_6z00,
		BgL_bgl_string1497za700za7za7_1555za7, "&char-ci>=?", 11);
	      BGL_DEFINE_STRING(BGl_string1498z00zz__r4_characters_6_6z00,
		BgL_bgl_string1498za700za7za7_1556za7, "&char-alphabetic?", 17);
	      BGL_DEFINE_STRING(BGl_string1499z00zz__r4_characters_6_6z00,
		BgL_bgl_string1499za700za7za7_1557za7, "&char-numeric?", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzf3zd2envz21zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7f3za791za7za7_1558za7,
		BGl_z62charzf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2ze3integerzd2envze3zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2za7e3int1559za7,
		BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzc3zf3zd2envze2zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7c3za7f3za7521560z00,
		BGl_z62charzc3zf3z52zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2notzd2envz00zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2notza7b01561za7,
		BGl_z62charzd2notzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2downcasezd2envz00zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2downca1562z00,
		BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integerzd2ze3charzd2urzd2envz31zz__r4_characters_6_6z00,
		BgL_bgl_za762integerza7d2za7e31563za7,
		BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2orzd2envz00zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2orza7b0za71564z00,
		BGl_z62charzd2orzb0zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzc3zd3zf3zd2envz31zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7c3za7d3za7f31565z00,
		BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2cizc3zf3zd2envz30zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2ciza7c3za71566z00,
		BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_charzd2upperzd2casezf3zd2envz21zz__r4_characters_6_6z00,
		BgL_bgl_za762charza7d2upperza71567za7,
		BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00, 0L, BUNSPEC, 1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE
			(BGl_charzd2upperzd2casezf3zd2envz21zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2upperza71567za7);
		BGL_BIND_PROCEDURE(BGl_charzd2cizc3zf3zd2envz30zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2ciza7c3za71566z00);
		BGL_BIND_PROCEDURE(BGl_charzc3zd3zf3zd2envz31zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7c3za7d3za7f31565z00);
		BGL_BIND_PROCEDURE(BGl_charzd2orzd2envz00zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2orza7b0za71564z00);
		BGL_BIND_PROCEDURE
			(BGl_integerzd2ze3charzd2urzd2envz31zz__r4_characters_6_6z00,
			BgL_bgl_za762integerza7d2za7e31563za7);
		BGL_BIND_PROCEDURE(BGl_charzd2downcasezd2envz00zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2downca1562z00);
		BGL_BIND_PROCEDURE(BGl_charzd2notzd2envz00zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2notza7b01561za7);
		BGL_BIND_PROCEDURE(BGl_charzc3zf3zd2envze2zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7c3za7f3za7521560z00);
		BGL_BIND_PROCEDURE(BGl_charzd2ze3integerzd2envze3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2za7e3int1559za7);
		BGL_BIND_PROCEDURE(BGl_charzf3zd2envz21zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7f3za791za7za7_1558za7);
		BGL_BIND_STRING(BGl_string1499z00zz__r4_characters_6_6z00,
			BgL_bgl_string1499za700za7za7_1557za7);
		BGL_BIND_STRING(BGl_string1498z00zz__r4_characters_6_6z00,
			BgL_bgl_string1498za700za7za7_1556za7);
		BGL_BIND_STRING(BGl_string1497z00zz__r4_characters_6_6z00,
			BgL_bgl_string1497za700za7za7_1555za7);
		BGL_BIND_STRING(BGl_string1496z00zz__r4_characters_6_6z00,
			BgL_bgl_string1496za700za7za7_1554za7);
		BGL_BIND_STRING(BGl_string1495z00zz__r4_characters_6_6z00,
			BgL_bgl_string1495za700za7za7_1553za7);
		BGL_BIND_STRING(BGl_string1494z00zz__r4_characters_6_6z00,
			BgL_bgl_string1494za700za7za7_1552za7);
		BGL_BIND_STRING(BGl_string1493z00zz__r4_characters_6_6z00,
			BgL_bgl_string1493za700za7za7_1551za7);
		BGL_BIND_STRING(BGl_string1492z00zz__r4_characters_6_6z00,
			BgL_bgl_string1492za700za7za7_1550za7);
		BGL_BIND_STRING(BGl_string1491z00zz__r4_characters_6_6z00,
			BgL_bgl_string1491za700za7za7_1549za7);
		BGL_BIND_PROCEDURE(BGl_charzd2cizc3zd3zf3zd2envze3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2ciza7c3za71548z00);
		BGL_BIND_STRING(BGl_string1490z00zz__r4_characters_6_6z00,
			BgL_bgl_string1490za700za7za7_1547za7);
		BGL_BIND_PROCEDURE(BGl_charze3zd3zf3zd2envz11zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7e3za7d3za7f31546z00);
		BGL_BIND_STRING(BGl_string1489z00zz__r4_characters_6_6z00,
			BgL_bgl_string1489za700za7za7_1545za7);
		BGL_BIND_STRING(BGl_string1488z00zz__r4_characters_6_6z00,
			BgL_bgl_string1488za700za7za7_1544za7);
		BGL_BIND_STRING(BGl_string1487z00zz__r4_characters_6_6z00,
			BgL_bgl_string1487za700za7za7_1543za7);
		BGL_BIND_PROCEDURE(BGl_charzd2cize3zf3zd2envz10zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2ciza7e3za71542z00);
		BGL_BIND_STRING(BGl_string1486z00zz__r4_characters_6_6z00,
			BgL_bgl_string1486za700za7za7_1541za7);
		BGL_BIND_PROCEDURE
			(BGl_charzd2lowerzd2casezf3zd2envz21zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2lowerza71540za7);
		BGL_BIND_PROCEDURE(BGl_charzd2andzd2envz00zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2andza7b01539za7);
		BGL_BIND_PROCEDURE
			(BGl_charzd2alphabeticzf3zd2envzf3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2alphab1538z00);
		BGL_BIND_PROCEDURE(BGl_charzd2cize3zd3zf3zd2envzc3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2ciza7e3za71537z00);
		BGL_BIND_PROCEDURE(BGl_charze3zf3zd2envzc2zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7e3za7f3za7721536z00);
		BGL_BIND_PROCEDURE(BGl_charzd2cizd3zf3zd2envz20zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2ciza7d3za71535z00);
		BGL_BIND_STRING(BGl_string1514z00zz__r4_characters_6_6z00,
			BgL_bgl_string1514za700za7za7_1534za7);
		BGL_BIND_STRING(BGl_string1513z00zz__r4_characters_6_6z00,
			BgL_bgl_string1513za700za7za7_1533za7);
		BGL_BIND_STRING(BGl_string1512z00zz__r4_characters_6_6z00,
			BgL_bgl_string1512za700za7za7_1532za7);
		BGL_BIND_STRING(BGl_string1511z00zz__r4_characters_6_6z00,
			BgL_bgl_string1511za700za7za7_1531za7);
		BGL_BIND_STRING(BGl_string1510z00zz__r4_characters_6_6z00,
			BgL_bgl_string1510za700za7za7_1530za7);
		BGL_BIND_PROCEDURE(BGl_charzd2numericzf3zd2envzf3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2numeri1529z00);
		BGL_BIND_STRING(BGl_string1509z00zz__r4_characters_6_6z00,
			BgL_bgl_string1509za700za7za7_1528za7);
		BGL_BIND_STRING(BGl_string1508z00zz__r4_characters_6_6z00,
			BgL_bgl_string1508za700za7za7_1527za7);
		BGL_BIND_STRING(BGl_string1507z00zz__r4_characters_6_6z00,
			BgL_bgl_string1507za700za7za7_1526za7);
		BGL_BIND_STRING(BGl_string1506z00zz__r4_characters_6_6z00,
			BgL_bgl_string1506za700za7za7_1525za7);
		BGL_BIND_STRING(BGl_string1505z00zz__r4_characters_6_6z00,
			BgL_bgl_string1505za700za7za7_1524za7);
		BGL_BIND_STRING(BGl_string1504z00zz__r4_characters_6_6z00,
			BgL_bgl_string1504za700za7za7_1523za7);
		BGL_BIND_STRING(BGl_string1503z00zz__r4_characters_6_6z00,
			BgL_bgl_string1503za700za7za7_1522za7);
		BGL_BIND_STRING(BGl_string1502z00zz__r4_characters_6_6z00,
			BgL_bgl_string1502za700za7za7_1521za7);
		BGL_BIND_STRING(BGl_string1501z00zz__r4_characters_6_6z00,
			BgL_bgl_string1501za700za7za7_1520za7);
		BGL_BIND_STRING(BGl_string1500z00zz__r4_characters_6_6z00,
			BgL_bgl_string1500za700za7za7_1519za7);
		BGL_BIND_PROCEDURE
			(BGl_charzd2whitespacezf3zd2envzf3zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2whites1518z00);
		BGL_BIND_PROCEDURE(BGl_charzd2upcasezd2envz00zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d2upcase1517z00);
		BGL_BIND_PROCEDURE(BGl_charzd3zf3zd2envzf2zz__r4_characters_6_6z00,
			BgL_bgl_za762charza7d3za7f3za7421516z00);
		BGL_BIND_PROCEDURE(BGl_integerzd2ze3charzd2envze3zz__r4_characters_6_6z00,
			BgL_bgl_za762integerza7d2za7e31515za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long
		BgL_checksumz00_1210, char *BgL_fromz00_1211)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_characters_6_6z00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00();
					return BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__r4_characters_6_6z00(void)
	{
		{	/* Ieee/char.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* char? */
	BGL_EXPORTED_DEF bool_t BGl_charzf3zf3zz__r4_characters_6_6z00(obj_t
		BgL_objz00_3)
	{
		{	/* Ieee/char.scm 131 */
			return CHARP(BgL_objz00_3);
		}

	}



/* &char? */
	obj_t BGl_z62charzf3z91zz__r4_characters_6_6z00(obj_t BgL_envz00_1082,
		obj_t BgL_objz00_1083)
	{
		{	/* Ieee/char.scm 131 */
			return BBOOL(BGl_charzf3zf3zz__r4_characters_6_6z00(BgL_objz00_1083));
		}

	}



/* char=? */
	BGL_EXPORTED_DEF bool_t BGl_charzd3zf3z20zz__r4_characters_6_6z00(unsigned
		char BgL_char1z00_4, unsigned char BgL_char2z00_5)
	{
		{	/* Ieee/char.scm 137 */
			return (BgL_char1z00_4 == BgL_char2z00_5);
		}

	}



/* &char=? */
	obj_t BGl_z62charzd3zf3z42zz__r4_characters_6_6z00(obj_t BgL_envz00_1084,
		obj_t BgL_char1z00_1085, obj_t BgL_char2z00_1086)
	{
		{	/* Ieee/char.scm 137 */
			{	/* Ieee/char.scm 138 */
				bool_t BgL_tmpz00_1223;

				{	/* Ieee/char.scm 138 */
					unsigned char BgL_auxz00_1233;
					unsigned char BgL_auxz00_1224;

					{	/* Ieee/char.scm 138 */
						obj_t BgL_tmpz00_1234;

						if (CHARP(BgL_char2z00_1086))
							{	/* Ieee/char.scm 138 */
								BgL_tmpz00_1234 = BgL_char2z00_1086;
							}
						else
							{
								obj_t BgL_auxz00_1237;

								BgL_auxz00_1237 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(6542L),
									BGl_string1487z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1086);
								FAILURE(BgL_auxz00_1237, BFALSE, BFALSE);
							}
						BgL_auxz00_1233 = CCHAR(BgL_tmpz00_1234);
					}
					{	/* Ieee/char.scm 138 */
						obj_t BgL_tmpz00_1225;

						if (CHARP(BgL_char1z00_1085))
							{	/* Ieee/char.scm 138 */
								BgL_tmpz00_1225 = BgL_char1z00_1085;
							}
						else
							{
								obj_t BgL_auxz00_1228;

								BgL_auxz00_1228 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(6542L),
									BGl_string1487z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1085);
								FAILURE(BgL_auxz00_1228, BFALSE, BFALSE);
							}
						BgL_auxz00_1224 = CCHAR(BgL_tmpz00_1225);
					}
					BgL_tmpz00_1223 =
						BGl_charzd3zf3z20zz__r4_characters_6_6z00(BgL_auxz00_1224,
						BgL_auxz00_1233);
				}
				return BBOOL(BgL_tmpz00_1223);
			}
		}

	}



/* char<? */
	BGL_EXPORTED_DEF bool_t BGl_charzc3zf3z30zz__r4_characters_6_6z00(unsigned
		char BgL_char1z00_6, unsigned char BgL_char2z00_7)
	{
		{	/* Ieee/char.scm 143 */
			return (BgL_char1z00_6 < BgL_char2z00_7);
		}

	}



/* &char<? */
	obj_t BGl_z62charzc3zf3z52zz__r4_characters_6_6z00(obj_t BgL_envz00_1087,
		obj_t BgL_char1z00_1088, obj_t BgL_char2z00_1089)
	{
		{	/* Ieee/char.scm 143 */
			{	/* Ieee/char.scm 144 */
				bool_t BgL_tmpz00_1245;

				{	/* Ieee/char.scm 144 */
					unsigned char BgL_auxz00_1255;
					unsigned char BgL_auxz00_1246;

					{	/* Ieee/char.scm 144 */
						obj_t BgL_tmpz00_1256;

						if (CHARP(BgL_char2z00_1089))
							{	/* Ieee/char.scm 144 */
								BgL_tmpz00_1256 = BgL_char2z00_1089;
							}
						else
							{
								obj_t BgL_auxz00_1259;

								BgL_auxz00_1259 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(6828L),
									BGl_string1489z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1089);
								FAILURE(BgL_auxz00_1259, BFALSE, BFALSE);
							}
						BgL_auxz00_1255 = CCHAR(BgL_tmpz00_1256);
					}
					{	/* Ieee/char.scm 144 */
						obj_t BgL_tmpz00_1247;

						if (CHARP(BgL_char1z00_1088))
							{	/* Ieee/char.scm 144 */
								BgL_tmpz00_1247 = BgL_char1z00_1088;
							}
						else
							{
								obj_t BgL_auxz00_1250;

								BgL_auxz00_1250 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(6828L),
									BGl_string1489z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1088);
								FAILURE(BgL_auxz00_1250, BFALSE, BFALSE);
							}
						BgL_auxz00_1246 = CCHAR(BgL_tmpz00_1247);
					}
					BgL_tmpz00_1245 =
						BGl_charzc3zf3z30zz__r4_characters_6_6z00(BgL_auxz00_1246,
						BgL_auxz00_1255);
				}
				return BBOOL(BgL_tmpz00_1245);
			}
		}

	}



/* char>? */
	BGL_EXPORTED_DEF bool_t BGl_charze3zf3z10zz__r4_characters_6_6z00(unsigned
		char BgL_char1z00_8, unsigned char BgL_char2z00_9)
	{
		{	/* Ieee/char.scm 149 */
			return (BgL_char1z00_8 > BgL_char2z00_9);
		}

	}



/* &char>? */
	obj_t BGl_z62charze3zf3z72zz__r4_characters_6_6z00(obj_t BgL_envz00_1090,
		obj_t BgL_char1z00_1091, obj_t BgL_char2z00_1092)
	{
		{	/* Ieee/char.scm 149 */
			{	/* Ieee/char.scm 150 */
				bool_t BgL_tmpz00_1267;

				{	/* Ieee/char.scm 150 */
					unsigned char BgL_auxz00_1277;
					unsigned char BgL_auxz00_1268;

					{	/* Ieee/char.scm 150 */
						obj_t BgL_tmpz00_1278;

						if (CHARP(BgL_char2z00_1092))
							{	/* Ieee/char.scm 150 */
								BgL_tmpz00_1278 = BgL_char2z00_1092;
							}
						else
							{
								obj_t BgL_auxz00_1281;

								BgL_auxz00_1281 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7115L),
									BGl_string1490z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1092);
								FAILURE(BgL_auxz00_1281, BFALSE, BFALSE);
							}
						BgL_auxz00_1277 = CCHAR(BgL_tmpz00_1278);
					}
					{	/* Ieee/char.scm 150 */
						obj_t BgL_tmpz00_1269;

						if (CHARP(BgL_char1z00_1091))
							{	/* Ieee/char.scm 150 */
								BgL_tmpz00_1269 = BgL_char1z00_1091;
							}
						else
							{
								obj_t BgL_auxz00_1272;

								BgL_auxz00_1272 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7115L),
									BGl_string1490z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1091);
								FAILURE(BgL_auxz00_1272, BFALSE, BFALSE);
							}
						BgL_auxz00_1268 = CCHAR(BgL_tmpz00_1269);
					}
					BgL_tmpz00_1267 =
						BGl_charze3zf3z10zz__r4_characters_6_6z00(BgL_auxz00_1268,
						BgL_auxz00_1277);
				}
				return BBOOL(BgL_tmpz00_1267);
			}
		}

	}



/* char<=? */
	BGL_EXPORTED_DEF bool_t BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(unsigned
		char BgL_char1z00_10, unsigned char BgL_char2z00_11)
	{
		{	/* Ieee/char.scm 155 */
			return (BgL_char1z00_10 <= BgL_char2z00_11);
		}

	}



/* &char<=? */
	obj_t BGl_z62charzc3zd3zf3z81zz__r4_characters_6_6z00(obj_t BgL_envz00_1093,
		obj_t BgL_char1z00_1094, obj_t BgL_char2z00_1095)
	{
		{	/* Ieee/char.scm 155 */
			{	/* Ieee/char.scm 156 */
				bool_t BgL_tmpz00_1289;

				{	/* Ieee/char.scm 156 */
					unsigned char BgL_auxz00_1299;
					unsigned char BgL_auxz00_1290;

					{	/* Ieee/char.scm 156 */
						obj_t BgL_tmpz00_1300;

						if (CHARP(BgL_char2z00_1095))
							{	/* Ieee/char.scm 156 */
								BgL_tmpz00_1300 = BgL_char2z00_1095;
							}
						else
							{
								obj_t BgL_auxz00_1303;

								BgL_auxz00_1303 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7402L),
									BGl_string1491z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1095);
								FAILURE(BgL_auxz00_1303, BFALSE, BFALSE);
							}
						BgL_auxz00_1299 = CCHAR(BgL_tmpz00_1300);
					}
					{	/* Ieee/char.scm 156 */
						obj_t BgL_tmpz00_1291;

						if (CHARP(BgL_char1z00_1094))
							{	/* Ieee/char.scm 156 */
								BgL_tmpz00_1291 = BgL_char1z00_1094;
							}
						else
							{
								obj_t BgL_auxz00_1294;

								BgL_auxz00_1294 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7402L),
									BGl_string1491z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1094);
								FAILURE(BgL_auxz00_1294, BFALSE, BFALSE);
							}
						BgL_auxz00_1290 = CCHAR(BgL_tmpz00_1291);
					}
					BgL_tmpz00_1289 =
						BGl_charzc3zd3zf3ze3zz__r4_characters_6_6z00(BgL_auxz00_1290,
						BgL_auxz00_1299);
				}
				return BBOOL(BgL_tmpz00_1289);
			}
		}

	}



/* char>=? */
	BGL_EXPORTED_DEF bool_t BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(unsigned
		char BgL_char1z00_12, unsigned char BgL_char2z00_13)
	{
		{	/* Ieee/char.scm 161 */
			return (BgL_char1z00_12 >= BgL_char2z00_13);
		}

	}



/* &char>=? */
	obj_t BGl_z62charze3zd3zf3za1zz__r4_characters_6_6z00(obj_t BgL_envz00_1096,
		obj_t BgL_char1z00_1097, obj_t BgL_char2z00_1098)
	{
		{	/* Ieee/char.scm 161 */
			{	/* Ieee/char.scm 162 */
				bool_t BgL_tmpz00_1311;

				{	/* Ieee/char.scm 162 */
					unsigned char BgL_auxz00_1321;
					unsigned char BgL_auxz00_1312;

					{	/* Ieee/char.scm 162 */
						obj_t BgL_tmpz00_1322;

						if (CHARP(BgL_char2z00_1098))
							{	/* Ieee/char.scm 162 */
								BgL_tmpz00_1322 = BgL_char2z00_1098;
							}
						else
							{
								obj_t BgL_auxz00_1325;

								BgL_auxz00_1325 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7690L),
									BGl_string1492z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1098);
								FAILURE(BgL_auxz00_1325, BFALSE, BFALSE);
							}
						BgL_auxz00_1321 = CCHAR(BgL_tmpz00_1322);
					}
					{	/* Ieee/char.scm 162 */
						obj_t BgL_tmpz00_1313;

						if (CHARP(BgL_char1z00_1097))
							{	/* Ieee/char.scm 162 */
								BgL_tmpz00_1313 = BgL_char1z00_1097;
							}
						else
							{
								obj_t BgL_auxz00_1316;

								BgL_auxz00_1316 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7690L),
									BGl_string1492z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1097);
								FAILURE(BgL_auxz00_1316, BFALSE, BFALSE);
							}
						BgL_auxz00_1312 = CCHAR(BgL_tmpz00_1313);
					}
					BgL_tmpz00_1311 =
						BGl_charze3zd3zf3zc3zz__r4_characters_6_6z00(BgL_auxz00_1312,
						BgL_auxz00_1321);
				}
				return BBOOL(BgL_tmpz00_1311);
			}
		}

	}



/* char-ci=? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(unsigned char
		BgL_char1z00_14, unsigned char BgL_char2z00_15)
	{
		{	/* Ieee/char.scm 167 */
			return (toupper(BgL_char1z00_14) == toupper(BgL_char2z00_15));
		}

	}



/* &char-ci=? */
	obj_t BGl_z62charzd2cizd3zf3z90zz__r4_characters_6_6z00(obj_t BgL_envz00_1099,
		obj_t BgL_char1z00_1100, obj_t BgL_char2z00_1101)
	{
		{	/* Ieee/char.scm 167 */
			{	/* Ieee/char.scm 168 */
				bool_t BgL_tmpz00_1335;

				{	/* Ieee/char.scm 168 */
					unsigned char BgL_auxz00_1345;
					unsigned char BgL_auxz00_1336;

					{	/* Ieee/char.scm 168 */
						obj_t BgL_tmpz00_1346;

						if (CHARP(BgL_char2z00_1101))
							{	/* Ieee/char.scm 168 */
								BgL_tmpz00_1346 = BgL_char2z00_1101;
							}
						else
							{
								obj_t BgL_auxz00_1349;

								BgL_auxz00_1349 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7988L),
									BGl_string1493z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1101);
								FAILURE(BgL_auxz00_1349, BFALSE, BFALSE);
							}
						BgL_auxz00_1345 = CCHAR(BgL_tmpz00_1346);
					}
					{	/* Ieee/char.scm 168 */
						obj_t BgL_tmpz00_1337;

						if (CHARP(BgL_char1z00_1100))
							{	/* Ieee/char.scm 168 */
								BgL_tmpz00_1337 = BgL_char1z00_1100;
							}
						else
							{
								obj_t BgL_auxz00_1340;

								BgL_auxz00_1340 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(7988L),
									BGl_string1493z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1100);
								FAILURE(BgL_auxz00_1340, BFALSE, BFALSE);
							}
						BgL_auxz00_1336 = CCHAR(BgL_tmpz00_1337);
					}
					BgL_tmpz00_1335 =
						BGl_charzd2cizd3zf3zf2zz__r4_characters_6_6z00(BgL_auxz00_1336,
						BgL_auxz00_1345);
				}
				return BBOOL(BgL_tmpz00_1335);
			}
		}

	}



/* char-ci<? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(unsigned char
		BgL_char1z00_16, unsigned char BgL_char2z00_17)
	{
		{	/* Ieee/char.scm 173 */
			return (toupper(BgL_char1z00_16) < toupper(BgL_char2z00_17));
		}

	}



/* &char-ci<? */
	obj_t BGl_z62charzd2cizc3zf3z80zz__r4_characters_6_6z00(obj_t BgL_envz00_1102,
		obj_t BgL_char1z00_1103, obj_t BgL_char2z00_1104)
	{
		{	/* Ieee/char.scm 173 */
			{	/* Ieee/char.scm 174 */
				bool_t BgL_tmpz00_1359;

				{	/* Ieee/char.scm 174 */
					unsigned char BgL_auxz00_1369;
					unsigned char BgL_auxz00_1360;

					{	/* Ieee/char.scm 174 */
						obj_t BgL_tmpz00_1370;

						if (CHARP(BgL_char2z00_1104))
							{	/* Ieee/char.scm 174 */
								BgL_tmpz00_1370 = BgL_char2z00_1104;
							}
						else
							{
								obj_t BgL_auxz00_1373;

								BgL_auxz00_1373 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8305L),
									BGl_string1494z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1104);
								FAILURE(BgL_auxz00_1373, BFALSE, BFALSE);
							}
						BgL_auxz00_1369 = CCHAR(BgL_tmpz00_1370);
					}
					{	/* Ieee/char.scm 174 */
						obj_t BgL_tmpz00_1361;

						if (CHARP(BgL_char1z00_1103))
							{	/* Ieee/char.scm 174 */
								BgL_tmpz00_1361 = BgL_char1z00_1103;
							}
						else
							{
								obj_t BgL_auxz00_1364;

								BgL_auxz00_1364 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8305L),
									BGl_string1494z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1103);
								FAILURE(BgL_auxz00_1364, BFALSE, BFALSE);
							}
						BgL_auxz00_1360 = CCHAR(BgL_tmpz00_1361);
					}
					BgL_tmpz00_1359 =
						BGl_charzd2cizc3zf3ze2zz__r4_characters_6_6z00(BgL_auxz00_1360,
						BgL_auxz00_1369);
				}
				return BBOOL(BgL_tmpz00_1359);
			}
		}

	}



/* char-ci>? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(unsigned char
		BgL_char1z00_18, unsigned char BgL_char2z00_19)
	{
		{	/* Ieee/char.scm 179 */
			return (toupper(BgL_char1z00_18) > toupper(BgL_char2z00_19));
		}

	}



/* &char-ci>? */
	obj_t BGl_z62charzd2cize3zf3za0zz__r4_characters_6_6z00(obj_t BgL_envz00_1105,
		obj_t BgL_char1z00_1106, obj_t BgL_char2z00_1107)
	{
		{	/* Ieee/char.scm 179 */
			{	/* Ieee/char.scm 180 */
				bool_t BgL_tmpz00_1383;

				{	/* Ieee/char.scm 180 */
					unsigned char BgL_auxz00_1393;
					unsigned char BgL_auxz00_1384;

					{	/* Ieee/char.scm 180 */
						obj_t BgL_tmpz00_1394;

						if (CHARP(BgL_char2z00_1107))
							{	/* Ieee/char.scm 180 */
								BgL_tmpz00_1394 = BgL_char2z00_1107;
							}
						else
							{
								obj_t BgL_auxz00_1397;

								BgL_auxz00_1397 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8624L),
									BGl_string1495z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1107);
								FAILURE(BgL_auxz00_1397, BFALSE, BFALSE);
							}
						BgL_auxz00_1393 = CCHAR(BgL_tmpz00_1394);
					}
					{	/* Ieee/char.scm 180 */
						obj_t BgL_tmpz00_1385;

						if (CHARP(BgL_char1z00_1106))
							{	/* Ieee/char.scm 180 */
								BgL_tmpz00_1385 = BgL_char1z00_1106;
							}
						else
							{
								obj_t BgL_auxz00_1388;

								BgL_auxz00_1388 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8624L),
									BGl_string1495z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1106);
								FAILURE(BgL_auxz00_1388, BFALSE, BFALSE);
							}
						BgL_auxz00_1384 = CCHAR(BgL_tmpz00_1385);
					}
					BgL_tmpz00_1383 =
						BGl_charzd2cize3zf3zc2zz__r4_characters_6_6z00(BgL_auxz00_1384,
						BgL_auxz00_1393);
				}
				return BBOOL(BgL_tmpz00_1383);
			}
		}

	}



/* char-ci<=? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(unsigned char
		BgL_char1z00_20, unsigned char BgL_char2z00_21)
	{
		{	/* Ieee/char.scm 185 */
			return (toupper(BgL_char1z00_20) <= toupper(BgL_char2z00_21));
		}

	}



/* &char-ci<=? */
	obj_t BGl_z62charzd2cizc3zd3zf3z53zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1108, obj_t BgL_char1z00_1109, obj_t BgL_char2z00_1110)
	{
		{	/* Ieee/char.scm 185 */
			{	/* Ieee/char.scm 186 */
				bool_t BgL_tmpz00_1407;

				{	/* Ieee/char.scm 186 */
					unsigned char BgL_auxz00_1417;
					unsigned char BgL_auxz00_1408;

					{	/* Ieee/char.scm 186 */
						obj_t BgL_tmpz00_1418;

						if (CHARP(BgL_char2z00_1110))
							{	/* Ieee/char.scm 186 */
								BgL_tmpz00_1418 = BgL_char2z00_1110;
							}
						else
							{
								obj_t BgL_auxz00_1421;

								BgL_auxz00_1421 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8943L),
									BGl_string1496z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1110);
								FAILURE(BgL_auxz00_1421, BFALSE, BFALSE);
							}
						BgL_auxz00_1417 = CCHAR(BgL_tmpz00_1418);
					}
					{	/* Ieee/char.scm 186 */
						obj_t BgL_tmpz00_1409;

						if (CHARP(BgL_char1z00_1109))
							{	/* Ieee/char.scm 186 */
								BgL_tmpz00_1409 = BgL_char1z00_1109;
							}
						else
							{
								obj_t BgL_auxz00_1412;

								BgL_auxz00_1412 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(8943L),
									BGl_string1496z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1109);
								FAILURE(BgL_auxz00_1412, BFALSE, BFALSE);
							}
						BgL_auxz00_1408 = CCHAR(BgL_tmpz00_1409);
					}
					BgL_tmpz00_1407 =
						BGl_charzd2cizc3zd3zf3z31zz__r4_characters_6_6z00(BgL_auxz00_1408,
						BgL_auxz00_1417);
				}
				return BBOOL(BgL_tmpz00_1407);
			}
		}

	}



/* char-ci>=? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(unsigned char
		BgL_char1z00_22, unsigned char BgL_char2z00_23)
	{
		{	/* Ieee/char.scm 191 */
			return (toupper(BgL_char1z00_22) >= toupper(BgL_char2z00_23));
		}

	}



/* &char-ci>=? */
	obj_t BGl_z62charzd2cize3zd3zf3z73zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1111, obj_t BgL_char1z00_1112, obj_t BgL_char2z00_1113)
	{
		{	/* Ieee/char.scm 191 */
			{	/* Ieee/char.scm 192 */
				bool_t BgL_tmpz00_1431;

				{	/* Ieee/char.scm 192 */
					unsigned char BgL_auxz00_1441;
					unsigned char BgL_auxz00_1432;

					{	/* Ieee/char.scm 192 */
						obj_t BgL_tmpz00_1442;

						if (CHARP(BgL_char2z00_1113))
							{	/* Ieee/char.scm 192 */
								BgL_tmpz00_1442 = BgL_char2z00_1113;
							}
						else
							{
								obj_t BgL_auxz00_1445;

								BgL_auxz00_1445 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(9262L),
									BGl_string1497z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1113);
								FAILURE(BgL_auxz00_1445, BFALSE, BFALSE);
							}
						BgL_auxz00_1441 = CCHAR(BgL_tmpz00_1442);
					}
					{	/* Ieee/char.scm 192 */
						obj_t BgL_tmpz00_1433;

						if (CHARP(BgL_char1z00_1112))
							{	/* Ieee/char.scm 192 */
								BgL_tmpz00_1433 = BgL_char1z00_1112;
							}
						else
							{
								obj_t BgL_auxz00_1436;

								BgL_auxz00_1436 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(9262L),
									BGl_string1497z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1112);
								FAILURE(BgL_auxz00_1436, BFALSE, BFALSE);
							}
						BgL_auxz00_1432 = CCHAR(BgL_tmpz00_1433);
					}
					BgL_tmpz00_1431 =
						BGl_charzd2cize3zd3zf3z11zz__r4_characters_6_6z00(BgL_auxz00_1432,
						BgL_auxz00_1441);
				}
				return BBOOL(BgL_tmpz00_1431);
			}
		}

	}



/* char-alphabetic? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_24)
	{
		{	/* Ieee/char.scm 197 */
			return isalpha(BgL_charz00_24);
		}

	}



/* &char-alphabetic? */
	obj_t BGl_z62charzd2alphabeticzf3z43zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1114, obj_t BgL_charz00_1115)
	{
		{	/* Ieee/char.scm 197 */
			{	/* Ieee/char.scm 199 */
				bool_t BgL_tmpz00_1453;

				{	/* Ieee/char.scm 199 */
					unsigned char BgL_auxz00_1454;

					{	/* Ieee/char.scm 199 */
						obj_t BgL_tmpz00_1455;

						if (CHARP(BgL_charz00_1115))
							{	/* Ieee/char.scm 199 */
								BgL_tmpz00_1455 = BgL_charz00_1115;
							}
						else
							{
								obj_t BgL_auxz00_1458;

								BgL_auxz00_1458 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(9598L),
									BGl_string1498z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1115);
								FAILURE(BgL_auxz00_1458, BFALSE, BFALSE);
							}
						BgL_auxz00_1454 = CCHAR(BgL_tmpz00_1455);
					}
					BgL_tmpz00_1453 =
						BGl_charzd2alphabeticzf3z21zz__r4_characters_6_6z00
						(BgL_auxz00_1454);
				}
				return BBOOL(BgL_tmpz00_1453);
			}
		}

	}



/* char-numeric? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_25)
	{
		{	/* Ieee/char.scm 208 */
			return isdigit(BgL_charz00_25);
		}

	}



/* &char-numeric? */
	obj_t BGl_z62charzd2numericzf3z43zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1116, obj_t BgL_charz00_1117)
	{
		{	/* Ieee/char.scm 208 */
			{	/* Ieee/char.scm 210 */
				bool_t BgL_tmpz00_1466;

				{	/* Ieee/char.scm 210 */
					unsigned char BgL_auxz00_1467;

					{	/* Ieee/char.scm 210 */
						obj_t BgL_tmpz00_1468;

						if (CHARP(BgL_charz00_1117))
							{	/* Ieee/char.scm 210 */
								BgL_tmpz00_1468 = BgL_charz00_1117;
							}
						else
							{
								obj_t BgL_auxz00_1471;

								BgL_auxz00_1471 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(10040L),
									BGl_string1499z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1117);
								FAILURE(BgL_auxz00_1471, BFALSE, BFALSE);
							}
						BgL_auxz00_1467 = CCHAR(BgL_tmpz00_1468);
					}
					BgL_tmpz00_1466 =
						BGl_charzd2numericzf3z21zz__r4_characters_6_6z00(BgL_auxz00_1467);
				}
				return BBOOL(BgL_tmpz00_1466);
			}
		}

	}



/* char-whitespace? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_26)
	{
		{	/* Ieee/char.scm 218 */
			return isspace(BgL_charz00_26);
		}

	}



/* &char-whitespace? */
	obj_t BGl_z62charzd2whitespacezf3z43zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1118, obj_t BgL_charz00_1119)
	{
		{	/* Ieee/char.scm 218 */
			{	/* Ieee/char.scm 220 */
				bool_t BgL_tmpz00_1479;

				{	/* Ieee/char.scm 220 */
					unsigned char BgL_auxz00_1480;

					{	/* Ieee/char.scm 220 */
						obj_t BgL_tmpz00_1481;

						if (CHARP(BgL_charz00_1119))
							{	/* Ieee/char.scm 220 */
								BgL_tmpz00_1481 = BgL_charz00_1119;
							}
						else
							{
								obj_t BgL_auxz00_1484;

								BgL_auxz00_1484 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(10423L),
									BGl_string1500z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1119);
								FAILURE(BgL_auxz00_1484, BFALSE, BFALSE);
							}
						BgL_auxz00_1480 = CCHAR(BgL_tmpz00_1481);
					}
					BgL_tmpz00_1479 =
						BGl_charzd2whitespacezf3z21zz__r4_characters_6_6z00
						(BgL_auxz00_1480);
				}
				return BBOOL(BgL_tmpz00_1479);
			}
		}

	}



/* char-upper-case? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_27)
	{
		{	/* Ieee/char.scm 229 */
			return isupper(BgL_charz00_27);
		}

	}



/* &char-upper-case? */
	obj_t BGl_z62charzd2upperzd2casezf3z91zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1120, obj_t BgL_charz00_1121)
	{
		{	/* Ieee/char.scm 229 */
			{	/* Ieee/char.scm 231 */
				bool_t BgL_tmpz00_1492;

				{	/* Ieee/char.scm 231 */
					unsigned char BgL_auxz00_1493;

					{	/* Ieee/char.scm 231 */
						obj_t BgL_tmpz00_1494;

						if (CHARP(BgL_charz00_1121))
							{	/* Ieee/char.scm 231 */
								BgL_tmpz00_1494 = BgL_charz00_1121;
							}
						else
							{
								obj_t BgL_auxz00_1497;

								BgL_auxz00_1497 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(10859L),
									BGl_string1501z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1121);
								FAILURE(BgL_auxz00_1497, BFALSE, BFALSE);
							}
						BgL_auxz00_1493 = CCHAR(BgL_tmpz00_1494);
					}
					BgL_tmpz00_1492 =
						BGl_charzd2upperzd2casezf3zf3zz__r4_characters_6_6z00
						(BgL_auxz00_1493);
				}
				return BBOOL(BgL_tmpz00_1492);
			}
		}

	}



/* char-lower-case? */
	BGL_EXPORTED_DEF bool_t
		BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_28)
	{
		{	/* Ieee/char.scm 239 */
			return islower(BgL_charz00_28);
		}

	}



/* &char-lower-case? */
	obj_t BGl_z62charzd2lowerzd2casezf3z91zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1122, obj_t BgL_charz00_1123)
	{
		{	/* Ieee/char.scm 239 */
			{	/* Ieee/char.scm 241 */
				bool_t BgL_tmpz00_1505;

				{	/* Ieee/char.scm 241 */
					unsigned char BgL_auxz00_1506;

					{	/* Ieee/char.scm 241 */
						obj_t BgL_tmpz00_1507;

						if (CHARP(BgL_charz00_1123))
							{	/* Ieee/char.scm 241 */
								BgL_tmpz00_1507 = BgL_charz00_1123;
							}
						else
							{
								obj_t BgL_auxz00_1510;

								BgL_auxz00_1510 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(11245L),
									BGl_string1502z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1123);
								FAILURE(BgL_auxz00_1510, BFALSE, BFALSE);
							}
						BgL_auxz00_1506 = CCHAR(BgL_tmpz00_1507);
					}
					BgL_tmpz00_1505 =
						BGl_charzd2lowerzd2casezf3zf3zz__r4_characters_6_6z00
						(BgL_auxz00_1506);
				}
				return BBOOL(BgL_tmpz00_1505);
			}
		}

	}



/* char->integer */
	BGL_EXPORTED_DEF long
		BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(unsigned char
		BgL_charz00_29)
	{
		{	/* Ieee/char.scm 249 */
			return (BgL_charz00_29);
		}

	}



/* &char->integer */
	obj_t BGl_z62charzd2ze3integerz53zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1124, obj_t BgL_charz00_1125)
	{
		{	/* Ieee/char.scm 249 */
			{	/* Ieee/char.scm 250 */
				long BgL_tmpz00_1518;

				{	/* Ieee/char.scm 250 */
					unsigned char BgL_auxz00_1519;

					{	/* Ieee/char.scm 250 */
						obj_t BgL_tmpz00_1520;

						if (CHARP(BgL_charz00_1125))
							{	/* Ieee/char.scm 250 */
								BgL_tmpz00_1520 = BgL_charz00_1125;
							}
						else
							{
								obj_t BgL_auxz00_1523;

								BgL_auxz00_1523 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(11599L),
									BGl_string1503z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1125);
								FAILURE(BgL_auxz00_1523, BFALSE, BFALSE);
							}
						BgL_auxz00_1519 = CCHAR(BgL_tmpz00_1520);
					}
					BgL_tmpz00_1518 =
						BGl_charzd2ze3integerz31zz__r4_characters_6_6z00(BgL_auxz00_1519);
				}
				return BINT(BgL_tmpz00_1518);
			}
		}

	}



/* integer->char */
	BGL_EXPORTED_DEF unsigned char
		BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long BgL_intz00_30)
	{
		{	/* Ieee/char.scm 255 */
			{	/* Ieee/char.scm 256 */
				bool_t BgL_test1597z00_1530;

				if ((BgL_intz00_30 >= 0L))
					{	/* Ieee/char.scm 256 */
						BgL_test1597z00_1530 = (BgL_intz00_30 <= 255L);
					}
				else
					{	/* Ieee/char.scm 256 */
						BgL_test1597z00_1530 = ((bool_t) 0);
					}
				if (BgL_test1597z00_1530)
					{	/* Ieee/char.scm 256 */
						return (BgL_intz00_30);
					}
				else
					{	/* Ieee/char.scm 256 */
						return
							CCHAR(BGl_errorz00zz__errorz00
							(BGl_string1504z00zz__r4_characters_6_6z00,
								BGl_string1505z00zz__r4_characters_6_6z00,
								BINT(BgL_intz00_30)));
					}
			}
		}

	}



/* &integer->char */
	obj_t BGl_z62integerzd2ze3charz53zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1126, obj_t BgL_intz00_1127)
	{
		{	/* Ieee/char.scm 255 */
			{	/* Ieee/char.scm 256 */
				unsigned char BgL_tmpz00_1538;

				{	/* Ieee/char.scm 256 */
					long BgL_auxz00_1539;

					{	/* Ieee/char.scm 256 */
						obj_t BgL_tmpz00_1540;

						if (INTEGERP(BgL_intz00_1127))
							{	/* Ieee/char.scm 256 */
								BgL_tmpz00_1540 = BgL_intz00_1127;
							}
						else
							{
								obj_t BgL_auxz00_1543;

								BgL_auxz00_1543 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(11877L),
									BGl_string1506z00zz__r4_characters_6_6z00,
									BGl_string1507z00zz__r4_characters_6_6z00, BgL_intz00_1127);
								FAILURE(BgL_auxz00_1543, BFALSE, BFALSE);
							}
						BgL_auxz00_1539 = (long) CINT(BgL_tmpz00_1540);
					}
					BgL_tmpz00_1538 =
						BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(BgL_auxz00_1539);
				}
				return BCHAR(BgL_tmpz00_1538);
			}
		}

	}



/* integer->char-ur */
	BGL_EXPORTED_DEF unsigned char
		BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00(long BgL_intz00_31)
	{
		{	/* Ieee/char.scm 263 */
			return (BgL_intz00_31);
		}

	}



/* &integer->char-ur */
	obj_t BGl_z62integerzd2ze3charzd2urz81zz__r4_characters_6_6z00(obj_t
		BgL_envz00_1128, obj_t BgL_intz00_1129)
	{
		{	/* Ieee/char.scm 263 */
			{	/* Ieee/char.scm 264 */
				unsigned char BgL_tmpz00_1551;

				{	/* Ieee/char.scm 264 */
					long BgL_auxz00_1552;

					{	/* Ieee/char.scm 264 */
						obj_t BgL_tmpz00_1553;

						if (INTEGERP(BgL_intz00_1129))
							{	/* Ieee/char.scm 264 */
								BgL_tmpz00_1553 = BgL_intz00_1129;
							}
						else
							{
								obj_t BgL_auxz00_1556;

								BgL_auxz00_1556 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(12268L),
									BGl_string1508z00zz__r4_characters_6_6z00,
									BGl_string1507z00zz__r4_characters_6_6z00, BgL_intz00_1129);
								FAILURE(BgL_auxz00_1556, BFALSE, BFALSE);
							}
						BgL_auxz00_1552 = (long) CINT(BgL_tmpz00_1553);
					}
					BgL_tmpz00_1551 =
						BGl_integerzd2ze3charzd2urze3zz__r4_characters_6_6z00
						(BgL_auxz00_1552);
				}
				return BCHAR(BgL_tmpz00_1551);
			}
		}

	}



/* char-upcase */
	BGL_EXPORTED_DEF unsigned char
		BGl_charzd2upcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_32)
	{
		{	/* Ieee/char.scm 269 */
			return toupper(BgL_charz00_32);
		}

	}



/* &char-upcase */
	obj_t BGl_z62charzd2upcasezb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1130,
		obj_t BgL_charz00_1131)
	{
		{	/* Ieee/char.scm 269 */
			{	/* Ieee/char.scm 270 */
				unsigned char BgL_tmpz00_1564;

				{	/* Ieee/char.scm 270 */
					unsigned char BgL_auxz00_1565;

					{	/* Ieee/char.scm 270 */
						obj_t BgL_tmpz00_1566;

						if (CHARP(BgL_charz00_1131))
							{	/* Ieee/char.scm 270 */
								BgL_tmpz00_1566 = BgL_charz00_1131;
							}
						else
							{
								obj_t BgL_auxz00_1569;

								BgL_auxz00_1569 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(12552L),
									BGl_string1509z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1131);
								FAILURE(BgL_auxz00_1569, BFALSE, BFALSE);
							}
						BgL_auxz00_1565 = CCHAR(BgL_tmpz00_1566);
					}
					BgL_tmpz00_1564 =
						BGl_charzd2upcasezd2zz__r4_characters_6_6z00(BgL_auxz00_1565);
				}
				return BCHAR(BgL_tmpz00_1564);
			}
		}

	}



/* char-downcase */
	BGL_EXPORTED_DEF unsigned char
		BGl_charzd2downcasezd2zz__r4_characters_6_6z00(unsigned char BgL_charz00_33)
	{
		{	/* Ieee/char.scm 275 */
			return tolower(BgL_charz00_33);
		}

	}



/* &char-downcase */
	obj_t BGl_z62charzd2downcasezb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1132,
		obj_t BgL_charz00_1133)
	{
		{	/* Ieee/char.scm 275 */
			{	/* Ieee/char.scm 276 */
				unsigned char BgL_tmpz00_1577;

				{	/* Ieee/char.scm 276 */
					unsigned char BgL_auxz00_1578;

					{	/* Ieee/char.scm 276 */
						obj_t BgL_tmpz00_1579;

						if (CHARP(BgL_charz00_1133))
							{	/* Ieee/char.scm 276 */
								BgL_tmpz00_1579 = BgL_charz00_1133;
							}
						else
							{
								obj_t BgL_auxz00_1582;

								BgL_auxz00_1582 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(12837L),
									BGl_string1510z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_charz00_1133);
								FAILURE(BgL_auxz00_1582, BFALSE, BFALSE);
							}
						BgL_auxz00_1578 = CCHAR(BgL_tmpz00_1579);
					}
					BgL_tmpz00_1577 =
						BGl_charzd2downcasezd2zz__r4_characters_6_6z00(BgL_auxz00_1578);
				}
				return BCHAR(BgL_tmpz00_1577);
			}
		}

	}



/* char-or */
	BGL_EXPORTED_DEF unsigned char
		BGl_charzd2orzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_34,
		unsigned char BgL_char2z00_35)
	{
		{	/* Ieee/char.scm 281 */
			return (BgL_char1z00_34 | BgL_char2z00_35);
		}

	}



/* &char-or */
	obj_t BGl_z62charzd2orzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1134,
		obj_t BgL_char1z00_1135, obj_t BgL_char2z00_1136)
	{
		{	/* Ieee/char.scm 281 */
			{	/* Ieee/char.scm 282 */
				unsigned char BgL_tmpz00_1590;

				{	/* Ieee/char.scm 282 */
					unsigned char BgL_auxz00_1600;
					unsigned char BgL_auxz00_1591;

					{	/* Ieee/char.scm 282 */
						obj_t BgL_tmpz00_1601;

						if (CHARP(BgL_char2z00_1136))
							{	/* Ieee/char.scm 282 */
								BgL_tmpz00_1601 = BgL_char2z00_1136;
							}
						else
							{
								obj_t BgL_auxz00_1604;

								BgL_auxz00_1604 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(13131L),
									BGl_string1511z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1136);
								FAILURE(BgL_auxz00_1604, BFALSE, BFALSE);
							}
						BgL_auxz00_1600 = CCHAR(BgL_tmpz00_1601);
					}
					{	/* Ieee/char.scm 282 */
						obj_t BgL_tmpz00_1592;

						if (CHARP(BgL_char1z00_1135))
							{	/* Ieee/char.scm 282 */
								BgL_tmpz00_1592 = BgL_char1z00_1135;
							}
						else
							{
								obj_t BgL_auxz00_1595;

								BgL_auxz00_1595 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(13131L),
									BGl_string1511z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1135);
								FAILURE(BgL_auxz00_1595, BFALSE, BFALSE);
							}
						BgL_auxz00_1591 = CCHAR(BgL_tmpz00_1592);
					}
					BgL_tmpz00_1590 =
						BGl_charzd2orzd2zz__r4_characters_6_6z00(BgL_auxz00_1591,
						BgL_auxz00_1600);
				}
				return BCHAR(BgL_tmpz00_1590);
			}
		}

	}



/* char-and */
	BGL_EXPORTED_DEF unsigned char
		BGl_charzd2andzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_36,
		unsigned char BgL_char2z00_37)
	{
		{	/* Ieee/char.scm 287 */
			return (BgL_char1z00_36 & BgL_char2z00_37);
		}

	}



/* &char-and */
	obj_t BGl_z62charzd2andzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1137,
		obj_t BgL_char1z00_1138, obj_t BgL_char2z00_1139)
	{
		{	/* Ieee/char.scm 287 */
			{	/* Ieee/char.scm 288 */
				unsigned char BgL_tmpz00_1612;

				{	/* Ieee/char.scm 288 */
					unsigned char BgL_auxz00_1622;
					unsigned char BgL_auxz00_1613;

					{	/* Ieee/char.scm 288 */
						obj_t BgL_tmpz00_1623;

						if (CHARP(BgL_char2z00_1139))
							{	/* Ieee/char.scm 288 */
								BgL_tmpz00_1623 = BgL_char2z00_1139;
							}
						else
							{
								obj_t BgL_auxz00_1626;

								BgL_auxz00_1626 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(13420L),
									BGl_string1512z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char2z00_1139);
								FAILURE(BgL_auxz00_1626, BFALSE, BFALSE);
							}
						BgL_auxz00_1622 = CCHAR(BgL_tmpz00_1623);
					}
					{	/* Ieee/char.scm 288 */
						obj_t BgL_tmpz00_1614;

						if (CHARP(BgL_char1z00_1138))
							{	/* Ieee/char.scm 288 */
								BgL_tmpz00_1614 = BgL_char1z00_1138;
							}
						else
							{
								obj_t BgL_auxz00_1617;

								BgL_auxz00_1617 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(13420L),
									BGl_string1512z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1138);
								FAILURE(BgL_auxz00_1617, BFALSE, BFALSE);
							}
						BgL_auxz00_1613 = CCHAR(BgL_tmpz00_1614);
					}
					BgL_tmpz00_1612 =
						BGl_charzd2andzd2zz__r4_characters_6_6z00(BgL_auxz00_1613,
						BgL_auxz00_1622);
				}
				return BCHAR(BgL_tmpz00_1612);
			}
		}

	}



/* char-not */
	BGL_EXPORTED_DEF unsigned char
		BGl_charzd2notzd2zz__r4_characters_6_6z00(unsigned char BgL_char1z00_38)
	{
		{	/* Ieee/char.scm 293 */
			return ~(BgL_char1z00_38);
		}

	}



/* &char-not */
	obj_t BGl_z62charzd2notzb0zz__r4_characters_6_6z00(obj_t BgL_envz00_1140,
		obj_t BgL_char1z00_1141)
	{
		{	/* Ieee/char.scm 293 */
			{	/* Ieee/char.scm 294 */
				unsigned char BgL_tmpz00_1634;

				{	/* Ieee/char.scm 294 */
					unsigned char BgL_auxz00_1635;

					{	/* Ieee/char.scm 294 */
						obj_t BgL_tmpz00_1636;

						if (CHARP(BgL_char1z00_1141))
							{	/* Ieee/char.scm 294 */
								BgL_tmpz00_1636 = BgL_char1z00_1141;
							}
						else
							{
								obj_t BgL_auxz00_1639;

								BgL_auxz00_1639 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1486z00zz__r4_characters_6_6z00, BINT(13704L),
									BGl_string1513z00zz__r4_characters_6_6z00,
									BGl_string1488z00zz__r4_characters_6_6z00, BgL_char1z00_1141);
								FAILURE(BgL_auxz00_1639, BFALSE, BFALSE);
							}
						BgL_auxz00_1635 = CCHAR(BgL_tmpz00_1636);
					}
					BgL_tmpz00_1634 =
						BGl_charzd2notzd2zz__r4_characters_6_6z00(BgL_auxz00_1635);
				}
				return BCHAR(BgL_tmpz00_1634);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_characters_6_6z00(void)
	{
		{	/* Ieee/char.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1514z00zz__r4_characters_6_6z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1514z00zz__r4_characters_6_6z00));
		}

	}

#ifdef __cplusplus
}
#endif
